Bug 10466 - minttl / negative caching in SOA record should be > 0
minttl / negative caching in SOA record should be > 0
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DNS server
4.1.5
All All
: P5 normal
: ---
Assigned To: Kai Blin
Samba QA Contact
:
Depends on: 10749
Blocks: 10077
  Show dependency treegraph
 
Reported: 2014-02-22 14:13 UTC by Björn Jacke
Modified: 2014-09-08 09:44 UTC (History)
1 user (show)

See Also:


Attachments
Patch to correctly provision the minTTL field in SOA records (1.29 KB, patch)
2014-05-16 16:36 UTC, Kai Blin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2014-02-22 14:13:45 UTC
the default minttl in our SOA record is set to 0, which effectively disables negative caching of DNS entries (see rfc2308). I would propose a value of 600. Default in Windows DNS is even 3600 though.
Comment 1 Kai Blin 2014-05-16 16:36:14 UTC
Created attachment 9946 [details]
Patch to correctly provision the minTTL field in SOA records

This patch should apply to 4.0 and 4.1 as far as I can see.
Comment 2 Kai Blin 2014-05-16 16:37:11 UTC
Once this is reviewed and in master, should be good to go.
Comment 3 Björn Jacke 2014-09-08 09:10:22 UTC
closing this as it's fixed since months - at least in master.
Comment 4 Stefan Metzmacher 2014-09-08 09:44:49 UTC
(In reply to comment #3)
> closing this as it's fixed since months - at least in master.

It's backported as part of the bug 10749 fixes.